#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel	1

Name:		pulseaudio-qt
Version:	1.4.0
Release:	%mkrel %{rel}
Summary:	Qt bindings for PulseAudio
License:	LGPLv2+
Group:		Development/KDE and Qt
Url:		https://community.kde.org/Frameworks
Source0:	https://download.kde.org/stable/pulseaudio-qt/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6ToolsTools)

BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	appstream
BuildRequires:	doxygen
BuildRequires:	qttools6-assistant

%description
PulseAudio-qt is a Qt framework C++ bindings library for the PulseAudio
sound system.

#--------------------------------------------------------------------

%define pulseaudioqt_major 4
%define libpulseaudioqt    %mklibname kf6pulseaudioqt_ %{pulseaudioqt_major}

%package -n	%{libpulseaudioqt}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libpulseaudioqt}
Runtime library for %{name}.

PulseAudio-qt is a Qt framework C++ bindings library for the PulseAudio
sound system.

%files -n %{libpulseaudioqt}
%doc README.md
%{_kf6_libdir}/libKF6PulseAudioQt.so.%{pulseaudioqt_major}
%{_kf6_libdir}/libKF6PulseAudioQt.so.%{version}

#--------------------------------------------------------------------

%define libpulseaudioqt_dev %mklibname kf6pulseaudioqt -d

%package -n	%{libpulseaudioqt_dev}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libpulseaudioqt} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libpulseaudioqt_dev}
This package contains header files needed if you wish to build
applications based on %{name}.

%files -n %{libpulseaudioqt_dev}
%{_kf6_includedir}/KF6PulseAudioQt/
%{_kf6_includedir}/pulseaudioqt_version.h
%{_kf6_libdir}/libKF6PulseAudioQt.so
%{_kf6_libdir}/cmake/KF6PulseAudioQt/
%{_kf6_libdir}/pkgconfig/KF6PulseAudioQt.pc
%{_qt6_docdir}/KF6PulseAudioQt.qch
%{_qt6_docdir}/KF6PulseAudioQt.tags

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt6 -DBUILD_QCH=ON \
           -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install


%changelog
* Tue Jan 09 2024 daviddavid <daviddavid> 1.4.0-1.mga10
+ Revision: 2029273
- new version: 1.4.0

* Tue Nov 21 2023 daviddavid <daviddavid> 1.3-4.git20231120.1.mga10
+ Revision: 2008992
- update to latest git snapshot 20231120 ported to Qt6

* Sun Feb 12 2023 ghibo <ghibo> 1.3-3.mga9
+ Revision: 1940825
- Rebuild for aging

* Tue Apr 05 2022 umeabot <umeabot> 1.3-2.mga9
+ Revision: 1845130
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 1.3-1.mga9
+ Revision: 1740359
- 1.3
- library major is now 3

* Thu Dec 17 2020 umeabot <umeabot> 1.2-3.mga8
+ Revision: 1659439
- Rebuild for new Qt5

* Tue Feb 18 2020 umeabot <umeabot> 1.2-2.mga8
+ Revision: 1539644
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Dec 10 2019 daviddavid <daviddavid> 1.2-1.mga8
+ Revision: 1465737
- new version: 1.2

* Mon Aug 19 2019 daviddavid <daviddavid> 1.1.0-2.mga8
+ Revision: 1430325
- fix QCH docdir location

* Sat May 18 2019 daviddavid <daviddavid> 1.1.0-1.mga7
+ Revision: 1398261
- new version: 1.1.0
- now libmajor is 2

* Mon Apr 01 2019 umeabot <umeabot> 1.0.1-2.mga7
+ Revision: 1384089
- Qt5 Rebuild

* Mon Mar 25 2019 daviddavid <daviddavid> 1.0.1-1.mga7
+ Revision: 1380180
- new version: 1.0.1

* Sun Mar 10 2019 daviddavid <daviddavid> 1.0.0-1.mga7
+ Revision: 1373488
- initial package pulseaudio-qt

